Katello - Bug #7047

Products Ul displays only 20 repos even if | have 40+ repos
08/12/2014 12:38 PM - Walden Raines

Status: Closed
Priority: Normal
Assignee: Walden Raines
Category: Web Ul
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1128467 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/456
8
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1128467
Description of problem:
Products Ul displays only 20 repos even if | have 40+ repos

Version-Release number of selected component (if applicable):
GA Snap 4 - Satellite-6.0.4-RHEL-6-20140806.0

apr-util-ldap-1.3.9-3.el6_0.1.x86_64
candlepin-0.9.19-1.el6_5.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.9.19-1.el6_5.noarch
candlepin-tomcat6-0.9.19-1.el6_5.noarch
elasticsearch-0.90.10-4.el6sat.noarch
foreman-1.6.0.38-1.el6sat.noarch
foreman-compute-1.6.0.38-1.el6sat.noarch
foreman-gce-1.6.0.38-1.el6sat.noarch
foreman-libvirt-1.6.0.38-1.el6sat.noarch
foreman-ovirt-1.6.0.38-1.el6sat.noarch
foreman-postgresql-1.6.0.38-1.el6sat.noarch
foreman-proxy-1.6.0.23-1.el6sat.noarch
foreman-selinux-1.6.0.4-1.el6sat.noarch
foreman-vmware-1.6.0.38-1.el6sat.noarch
katello-1.5.0-28.el6sat.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.6-1.el6sat.noarch
katello-installer-0.0.57-1.el6sat.noarch
openldap-2.4.23-34.el6_5.1.x86_64
pulp-katello-0.3-3.el6sat.noarch
pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch
pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch
pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch
pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch
pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch
pulp-selinux-2.4.0-0.30.beta.el6sat.noarch
pulp-server-2.4.0-0.30.beta.el6sat.noarch
python-ldap-2.3.10-1.el6.x86_64
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
sssd-ldap-1.11.5.1-3.e16.x86_64

How reproducible:
Always
https://bugzilla.redhat.com/show_bug.cgi?id=1128467

Steps to Reproduce:
1. Create a Product with 40+ repos
2. Navigate to Sat6 Ul -> Products -> Select the product -> Repositories tab

Actual results:
Only 20 repos are displayed

Expected results:
All repos (40+ in this case) should be displayed

Additional info:

Associated revisions

Revision 8dbb1142 - 08/12/2014 12:42 PM - Walden Raines
Fixes #7047/BZ1128467: get full result of product's repositories.
We were only getting the (default) first 20 results for a product's

repositories. This commit ensures we fetch all of a product's
repositories for display.

http://projects.theforeman.org/issues/7047
https://bugzilla.redhat.com/show_bug.cgi?id=1128467

Revision e9d33d22 - 08/12/2014 12:42 PM - Walden Raines
Fixes #7047/BZ1128467: get full result of product's repositories.
We were only getting the (default) first 20 results for a product's

repositories. This commit ensures we fetch all of a product's
repositories for display.

http://projects.theforeman.org/issues/7047
https://bugzilla.redhat.com/show_bug.cgi?id=1128467

Revision 94¢c5386¢ - 08/12/2014 02:15 PM - Walden Raines
Merge pull request #4568 from waldenraines/7047

Fixes #7047/BZ1128467: get full result of product's repositories.

Revision 03ccf7cd - 08/12/2014 02:15 PM - Walden Raines
Merge pull request #4568 from waldenraines/7047

Fixes #7047/BZ1128467: get full result of product's repositories.

History

#1 - 08/12/2014 12:43 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello/pull/4568 added
- Pull request deleted ()

#2 - 08/12/2014 03:01 PM - Walden Raines
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|8dbb11422081b01be18f1a972a1e57¢398a23a83.

#3 - 08/14/2014 08:54 AM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/22/2014 09:29 AM - Eric Helms

- translation missing: en.field_release set to 13
